# Creating a new Workspace Status Change

This endpoint returns structured Workspace Status Change objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `workspace_status_changes` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: POST /workspace_status_changes
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `user` (User) - References the user who made the change.
- `workspace` (Workspace) - References the project for which the status changed.

## Request fields (application/json):

  - `workspace_status_change` (object)

  - `workspace_status_change.workspace_id` (integer, required)
    The ID of the project that contains the project status change.

  - `workspace_status_change.to_status_key` (integer, required)
    The status key for the new project status. See the [Knowledge Base](https://knowledge.kantata.com/hc/en-us/articles/115005042433#Project-Status-List) for a list of project status IDs. Note that setting a project's status to its current status will result in an error. To avoid this, you can use the [update workspace](/tag/Workspaces#operation/update-workspace) endpoint and its `status_key` parameter instead.

## Response 200:

  - `200` (unknown)
    Workspace Status Change has been created.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workspace_status_changes` (object)

  - `users` (object)

  - `workspaces` (object)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

